Retrieve all financial movements (payments, refunds, reimbursements, ...)
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movementsimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movements"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movements"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movements")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"date": "2023-12-25",
"amount": 123,
"currency": "<string>",
"type": "supplier_payment",
"exchange_rate": 123,
"export_status": "unknown",
"external": false,
"description": "<string>",
"allocations": [
{
"amount": 123,
"currency": "<string>",
"payable_id": "<string>"
}
],
"fees": [
{
"fee_type": "fx",
"amount": 123,
"currency": "<string>",
"date": "2023-12-25"
}
]
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Financial movements
Retrieve all financial movements (payments, refunds, reimbursements, ...)
GET
/
consumers
/
{consumer_id}
/
spend_management
/
financial-movements
Retrieve all financial movements (payments, refunds, reimbursements, ...)
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movementsimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movements"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movements"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movements")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/spend_management/financial-movements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"date": "2023-12-25",
"amount": 123,
"currency": "<string>",
"type": "supplier_payment",
"exchange_rate": 123,
"export_status": "unknown",
"external": false,
"description": "<string>",
"allocations": [
{
"amount": 123,
"currency": "<string>",
"payable_id": "<string>"
}
],
"fees": [
{
"fee_type": "fx",
"amount": 123,
"currency": "<string>",
"date": "2023-12-25"
}
]
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Query Parameters
Pagination cursor for endpoints that support it.
When using cursor based pagination, the total is returned as -1 in the response, next_cursor contains
the cursor to use to get the next page of data.
When using cursor based pagination, the page attribute is completely ignored.
To opt into cursor based pagination, start your pagination with an empty string `''`.
Cursor based pagination is not compatible with X-Chift-Force-Refresh and all other query parameters MUST match the initial call.
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Retrieve financial movements cleared on or after this date.
Retrieve financial movements cleared on or before this date.
Retrieve only financial movements with this export status, e.g. to_export to fetch exactly the ones still to be synced to the target accounting system. Shared across every payable-like entity of this vertical (payables, financial movements, ...): whether it still needs to be synced to the target accounting system.
Available options:
unknown, not_ready, to_export, exported